<?xml version="1.0" encoding="UTF-8"?>
<!--
  ~ Copyright (c) 2016 Roman Nazarenko.
  ~
  ~  This program is free software: you can redistribute it and/or modify
  ~  it under the terms of the GNU Affero General Public License as
  ~  published by the Free Software Foundation, either version 3 of
  ~  the License, or (at your option) any later version.
  ~
  ~  This program is distributed in the hope that it will be useful,
  ~  but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  ~  GNU General Public License for more details.
  ~
  ~  You should have received a copy of the GNU General Public License
  ~  along with this program.  If not, see <http://www.gnu.org/licenses />.
  -->

<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>

	<groupId>me.jtalk.home</groupId>
	<artifactId>Home</artifactId>
	<version>1.28-SNAPSHOT</version>
	<packaging>pom</packaging>
	<name>Home</name>
	<modules>
		<module>HomeEJB</module>
		<module>HomeEAR</module>
		<module>HomeWAR</module>
	</modules>
	<properties>
		<additionalparam>-Xdoclint:none</additionalparam>
		<doclint>none</doclint>
		<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
		<java.version>1.8</java.version>
		<scala.version>2.11.7</scala.version>
		<scala.logging.version>3.1.0</scala.logging.version>
		<apache.commons.lang.version>3.4</apache.commons.lang.version>
		<apache.commons.configuration.version>1.10</apache.commons.configuration.version>
		<apache.commons.math.version>3.5</apache.commons.math.version>
		<guava.version>19.0</guava.version>
		<javax.mail.version>1.5.5</javax.mail.version>
		<javax.api.version>7.0</javax.api.version>
		<dropwizard.metrics.version>3.1.2</dropwizard.metrics.version>
		<dropwizard.metrics.cdi.version>1.3.5</dropwizard.metrics.cdi.version>
	</properties>
	<scm>
		<developerConnection>scm:git:ssh://git@bitbucket.org/__jtalk/home.git</developerConnection>
		<connection>scm:git:ssh://git@bitbucket.org/__jtalk/home.git</connection>
		<tag>HEAD</tag>
	</scm>
	<build>
		<plugins>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-release-plugin</artifactId>
				<version>2.5.3</version>
				<configuration>
					<releaseProfiles>release</releaseProfiles>
				</configuration>
			</plugin>
		</plugins>
	</build>
</project>
